<?xml version='1.0' encoding='UTF-8'?>
<xs:schema xmlns:dsd="http://www.sdmx.org/resources/sdmxml/schemas/v3_0/data/structurespecific"
           xmlns="urn:sdmx:org.sdmx.infomodel.datastructure.Dataflow=EXAMPLE:DF_EXAMPLE(2.0.0-draft):ObsLevelDim:TIME_PERIOD"
           xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:common="http://www.sdmx.org/resources/sdmxml/schemas/v3_0/common"
           xmlns:message="http://www.sdmx.org/resources/sdmxml/schemas/v3_0/data/structurespecific"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           targetNamespace="urn:sdmx:org.sdmx.infomodel.datastructure.Dataflow=EXAMPLE:DF_EXAMPLE(2.0.0-draft):ObsLevelDim:TIME_PERIOD"
           elementFormDefault="qualified">
    <xs:import namespace="http://www.sdmx.org/resources/sdmxml/schemas/v3_0/common"
               schemaLocation="https://raw.githubusercontent.com/sdmx-twg/sdmx-ml/develop/schemas/SDMXCommon.xsd"/>
    <xs:import namespace="http://www.sdmx.org/resources/sdmxml/schemas/v3_0/data/structurespecific"
               schemaLocation="https://raw.githubusercontent.com/sdmx-twg/sdmx-ml/develop/schemas/SDMXDataStructureSpecific.xsd"/>
    <xs:simpleType name="CL_CURRENCY">
        <xs:restriction base="xs:string">
            <xs:enumeration value="_T">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="_X">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="_Z">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ADF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ADP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AED">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AFA">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AFN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ALL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AMD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ANG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AOA">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AON">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AOR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ARS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ATS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AUD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AWG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AZM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="AZN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BAM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BBD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BDT">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BEF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BEL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BGL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BGN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BHD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BIF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BMD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BND">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BOB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BOV">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BRE">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BRL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BSD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BTC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BTN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BWP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BYB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BYN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BYR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="BZD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="C36">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CAD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CDF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CHE">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CHF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CHW">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CLF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CLP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CNH">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CNY">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="COP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="COU">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CRC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CSD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CUC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CUP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CVE">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CYP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="CZK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="DEM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="DJF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="DKK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="DOP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="DZD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E0">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E1">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E2">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E3">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E4">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E5">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E6">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E7">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E8">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ECS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="EEK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="EGP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ERN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ESP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ETB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="EUR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="FIM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="FJD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="FKP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="FRF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GBP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GEL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GGP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GHC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GHS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GIP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GMD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GNF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GRD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GTQ">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GWP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="GYD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H1">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H10">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H11">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H2">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H3">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H36">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H37">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H4">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H42">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H5">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H6">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H7">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H8">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H9">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="HKD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="HKQ">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="HNL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="HRK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="HTG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="HUF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="IDR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="IEP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ILS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="IMP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="INR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="IQD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="IRR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ISK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ITL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="JEP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="JMD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="JOD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="JPY">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KES">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KGS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KHR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KMF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KPW">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KRW">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KWD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KYD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="KZT">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LAK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LBP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LKR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LRD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LSL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LTL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LUF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LVL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="LYD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MAD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MDL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MGA">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MGF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MKD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MMK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MNT">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MOP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MRO">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MRU">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MTL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MUR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MVR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MWK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MXN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MXP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MXV">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MYR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MZM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="MZN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="NAD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="NGN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="NIO">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="NLG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="NOK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="NPR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="NZD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="OMR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PAB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PEN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PGK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PHP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PKR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PLN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PLZ">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PTE">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="PYG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="QAR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ROL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="RON">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="RSD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="RUB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="RUR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="RWF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SAR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SBD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SCR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SDD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SDG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SDP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SEK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SGD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SHP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SIT">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SKK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SLL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SOS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SPL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SRD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SRG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SSP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="STD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="STN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SVC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SYP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="SZL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="THB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TJR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TJS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TMM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TMT">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TND">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TOP">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TPE">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TRL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TRY">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TTD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TVD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TWD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="TZS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="U1">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="UAH">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="UGX">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="USD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="USN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="UYI">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="UYU">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="UZS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="VEB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="VEF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="VES">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="VND">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="VUV">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="WST">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X1">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X2">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X3">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X4">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X5">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X6">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X7">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="X8">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XAF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XAG">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XAU">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XBA">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XBB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XBC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XBD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XCD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XDB">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XDC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XDM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XDN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XDO">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XDR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XEU">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XFO">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XFU">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XGO">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XNC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XOF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XPC">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XPD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XPF">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XPT">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XRH">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XSU">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XTS">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XUA">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="XXX">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="YER">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="YUM">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z01">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z02">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z03">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z04">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z05">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z06">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z07">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z08">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z09">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z0Z">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z10">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z11">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z12">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z13">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z14">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z15">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z16">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z17">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z18">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z19">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z20">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z21">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z22">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z23">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z24">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z25">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z26">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z27">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z28">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z29">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z30">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z31">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z32">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z33">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z37">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z38">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z40">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z41">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z42">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z44">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z45">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z46">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z50">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z51">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z52">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z53">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z54">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z55">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z56">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z57">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z58">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z59">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z60">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z61">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z62">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z63">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z64">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z65">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z66">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z67">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z68">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z69">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z70">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z72">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z73">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z82">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Z83">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ZAR">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ZMK">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ZMW">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ZWD">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ZWL">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ZWN">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="ZWR">
                <xs:annotation/>
            </xs:enumeration>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="CL_FREQ">
        <xs:restriction base="xs:string">
            <xs:enumeration value="A">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="B">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="D">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="E">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="H">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="M">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="N">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="Q">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="S">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="W">
                <xs:annotation/>
            </xs:enumeration>
        </xs:restriction>
    </xs:simpleType>

    <xs:simpleType name="OBS_COM">
        <xs:restriction base="xs:string">
            <xs:maxLength value="1050"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="CL_OBS_CONF">
        <xs:restriction base="xs:string">
            <xs:enumeration value="A">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="C">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="D">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="F">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="G">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="M">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="N">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="O">
                <xs:annotation/>
            </xs:enumeration>
            <xs:enumeration value="T">
                <xs:annotation/>
            </xs:enumeration>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="OBS_PRE_BREAK">
        <xs:restriction base="xs:string">
            <xs:maxLength value="15"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:complexType name="CL_OBS_STATUS">
        <xs:simpleContent>
            <xs:restriction base="common:StringValueType">
                <xs:enumeration value="A">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="B">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="D">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="E">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="F">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="G">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="H">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="I">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="J">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="L">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="M">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="N">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="P">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="Q">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="S">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="U">
                    <xs:annotation/>
                </xs:enumeration>
                <xs:enumeration value="V">
                    <xs:annotation/>
                </xs:enumeration>
            </xs:restriction>
        </xs:simpleContent>
    </xs:complexType>
    <xs:simpleType name="TIME_FORMAT">
        <xs:restriction base="xs:string">
            <xs:maxLength value="3"/>
            <xs:minLength value="3"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:simpleType name="TIME_PERIOD">
        <xs:restriction base="common:ObservationalTimePeriodType"/>
    </xs:simpleType>
    <xs:simpleType name="TITLE">
        <xs:restriction base="xs:string">
            <xs:maxLength value="200"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:element name="DataSet" type="DataSetType"/>
    <xs:complexType name="DataSetType">
        <xs:complexContent>
            <xs:restriction base="dsd:DataSetType">
                <xs:sequence>
                    <xs:element ref="common:Annotations" minOccurs="0"/>
                    <xs:element name="DataProvider" type="common:DataProviderReferenceType" form="unqualified"
                                minOccurs="0"/>
                    <xs:choice minOccurs="0" maxOccurs="unbounded">
                        <xs:element name="Series" type="SeriesType" form="unqualified"/>
                    </xs:choice>
                </xs:sequence>
            </xs:restriction>
        </xs:complexContent>
    </xs:complexType>

    <xs:complexType name="SeriesType">
        <xs:complexContent>
            <xs:restriction base="dsd:SeriesType">
                <xs:sequence>
                    <xs:element ref="common:Annotations" minOccurs="0"/>
                    <xs:element name="Obs" type="ObsType" form="unqualified" minOccurs="0" maxOccurs="unbounded"/>
                </xs:sequence>
                <xs:attribute name="FREQ" type="CL_FREQ" use="required"/>
                <xs:attribute name="CURRENCY" type="CL_CURRENCY" use="required"/>
                <xs:attribute name="TIME_FORMAT" type="TIME_FORMAT"/>
            </xs:restriction>
        </xs:complexContent>
    </xs:complexType>
    <xs:complexType name="ObsStatusCompType">
        <xs:complexContent>
            <xs:restriction base="dsd:CompType">
                <xs:sequence>
                    <xs:element name="Value" type="CL_OBS_STATUS" maxOccurs="4" form="unqualified"/>
                </xs:sequence>
                <xs:attribute name="id" type="common:NCNameIDType" fixed="OBS_STATUS" use="required"/>
            </xs:restriction>
        </xs:complexContent>
    </xs:complexType>
    <xs:complexType name="MEASURE2Type">
        <xs:complexContent>
            <xs:restriction base="dsd:CompType">
                <xs:sequence>
                    <xs:element name="Value" type="common:DoubleValueType" minOccurs="2" maxOccurs="2"
                                form="unqualified"/>
                </xs:sequence>
                <xs:attribute name="id" type="common:NCNameIDType" fixed="MEASURE2" use="required"/>
            </xs:restriction>
        </xs:complexContent>
    </xs:complexType>
    <xs:complexType name="OBS_COMType">
        <xs:complexContent>
            <xs:restriction base="dsd:CompType">
                <xs:sequence>
                    <xs:element name="Value" type="common:TextValueType" minOccurs="0"
                                form="unqualified"/>
                </xs:sequence>
                <xs:attribute name="id" type="common:NCNameIDType" fixed="OBS_COM" use="required"/>
            </xs:restriction>
        </xs:complexContent>
    </xs:complexType>
    <xs:complexType name="ObsType">
        <xs:complexContent>
            <xs:restriction base="dsd:ObsType">
                <xs:sequence>
                    <xs:element ref="common:Annotations" minOccurs="0"/>
                    <xs:element name="Comp" type="dsd:CompType" minOccurs="0" maxOccurs="unbounded"
                                form="unqualified"/>
                </xs:sequence>
                <xs:attribute name="OBS_VALUE" type="xs:string"/>
                <xs:attribute name="MEASURE1" type="xs:double"/>
                <xs:attribute name="OBS_CONF" type="CL_OBS_CONF"/>
                <xs:attribute name="OBS_PRE_BREAK" type="OBS_PRE_BREAK"/>
            </xs:restriction>
        </xs:complexContent>
    </xs:complexType>
</xs:schema>
